
#haplotypes
haps = matrix(0,nrow=4,ncol=3)
haps[1,] = c(0,0,0)
haps[2,] = c(0,0,1)
haps[3,] = c(0,1,1)
haps[4,] = c(1,0,1)

#haplotype frequencies
freqs = c(0.4,0.1,0.2,0.3)

N = 10000 #number of individuals

t = sample(1:4,N,replace=T,prob=c(0.5,0.3,0.1,0.1))
ohaps = haps[t,]
print(sprintf("original correlation matrix"))
print(paste(cor(ohaps)^2)) #correlation matrix 
hlist = apply(ohaps,1,paste,collapse="")
for (hstr in unique(hlist)) {
	hcnt = sum(hlist==hstr)
	print(sprintf("%s %f",hstr,hcnt/N))
}
#bottleneck
nhaps1=ohaps[sample(1:N,20),]
nhaps=nhaps1[sample(1:20,replace=T,N),]
print(sprintf("post-bottleneck correlation matrix"))
print(paste(cor(nhaps)^2)) #new correlation matrix 
hlist = apply(nhaps,1,paste,collapse="")
for (hstr in unique(hlist)) {
	hcnt = sum(hlist==hstr)
	print(sprintf("%s %f",hstr,hcnt/N))
}