
#Generating Populations with an Fst
M = 5000 #number of SNPs
N = 200 #number of individuals in each population
Fst = 0.2
#ancestral minor allele freq
tmafs = runif(M,0.01,0.99)
  
#minor allele freq at each pair of SNPs
tmafs1= tmafs2 = 0
for (i in 1:M) {
	tmafs1[i] = rbeta(1,tmafs[i]*(1-Fst)/Fst,(1-tmafs[i])*(1-Fst)/Fst)
    tmafs2[i] = rbeta(1,tmafs[i]*(1-Fst)/Fst,(1-tmafs[i])*(1-Fst)/Fst)
}

#haplotypes of each individual at each pair of SNPs
genos1 = matrix(0,nrow=N,ncol=M);
genos2 = matrix(0,nrow=N,ncol=M);
for(i in 1:N) {
    genos1[i,]=rbinom(M,2,tmafs1) 
    genos2[i,]=rbinom(M,2,tmafs2) 
}

mafs1 = apply(genos1,2,mean)/2
mafs2 = apply(genos2,2,mean)/2
mafs = (mafs1+mafs2)/2

genos = rbind(genos1,genos2)

zgenos = matrix(0,nrow=2*N,ncol=M)
for (i in 1:(2*N)) {
	zgenos[i,] = (genos[i,]-2*mafs)/sqrt(2*mafs*(1-mafs))
}

fzgenos = zgenos[, !is.na(apply(zgenos,2,mean))]

W = (fzgenos%*%t(fzgenos))/ncol(fzgenos)
e = eigen(W)

plot(e$vectors[,1],e$vectors[,2])
points(e$vectors[1:N,1],e$vectors[1:N,2],col="red")
