
#Generating Populations with an Fst
M = 2000 #number of SNPs
N = 3000 #number of individuals in each population
Fst = 0.1
#ancestral allele freq
tmafs = runif(M,0.05,0.95)
  
#minor allele freq at each pair of SNPs
tmafs1= tmafs2 = 0
for (i in 1:M) {
	tmafs1[i] = rbeta(1,tmafs[i]*(1-Fst)/Fst,(1-tmafs[i])*(1-Fst)/Fst)
    tmafs2[i] = rbeta(1,tmafs[i]*(1-Fst)/Fst,(1-tmafs[i])*(1-Fst)/Fst)
}

#haplotypes of each individual at each pair of SNPs
genos1 = matrix(0,nrow=N,ncol=M);
genos2 = matrix(0,nrow=N,ncol=M);
for(i in 1:N) {
    genos1[i,]=rbinom(M,2,tmafs1) 
    genos2[i,]=rbinom(M,2,tmafs2) 
}

mafs1 = apply(genos1,2,mean)/2
mafs2 = apply(genos2,2,mean)/2

fmap = matrix(0,nrow=10,ncol=10)
for (i in 1:10) {
	for (j in 1:10) {
		fmap[i,j] = sum( (mafs1<(i/10))&(mafs1>((i-1)/10))&(mafs2<(j/10))&(mafs2>((j-1)/10)) )
	}
}
image(fmap)